再问vb提取cad中面域的断面特性

再问vb提取cad中面域的截面特性
在论坛里发过帖子,但还是一直没有解决,再次发帖求助,我想用vb做一个截面特性显示的界面。思路是用vb调用cad,在cad里画出图形,然后形成面域,用vb提取面域的截面特性值。请问,该如何提取cad里的面域特性值呀!恳请会的朋友帮帮忙,万分感激。解决啦会加倍赠送积分,再次谢过!

------解决方案--------------------
我也有同样的问题困扰
------解决方案--------------------
好像上次回答过你的哦

你的面域放到cad里面是什么对象?
你要的是什么特征值?

你会不会用vb打开CAD?
你会不会用vba添加图形对象?
你会不会用selectionset?

到底到了哪一步?

最简单的方法就是你在vb里面调用Cad application然后f1看看帮助,话说cad的vba的帮助还是很好的

------解决方案--------------------
路过,顶贴.............

------解决方案--------------------
太深奥,帮顶
------解决方案--------------------
类名: AcadRegion 
 Area 属性,返回实体的面积
MomentOfInertia 属性,返回实体的惯性矩。
Perimeter属性,返回实体的周长
....
看看CAD对象模型就全知道了
------解决方案--------------------
这下我就知道你要的东西了
1.添加Region
VB code
Sub Example_AddRegion()
    ' This example creates a region from an arc and a line.
    
    Dim curves(0 To 1) As AcadEntity

    ' Define the arc
    Dim centerPoint(0 To 2) As Double
    Dim radius As Double
    Dim startAngle As Double
    Dim endAngle As Double
    centerPoint(0) = 5#: centerPoint(1) = 3#: centerPoint(2) = 0#
    radius = 2#
    startAngle = 0
    endAngle = 3.141592
    Set curves(0) = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngle, endAngle)
    
    ' Define the line
    Set curves(1) = ThisDrawing.ModelSpace.AddLine(curves(0).startPoint, curves(0).endPoint)
        
    ' Create the region
    Dim regionObj As Variant
    regionObj = ThisDrawing.ModelSpace.AddRegion(curves)
    ZoomAll
   msgbox regionObj.area

End Sub

------解决方案--------------------
在这里问吧 专业点
http://www.mjtd.com/bbs/index.asp
------解决方案--------------------
学习innnnnnnng